Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_QoS_Flow_Handler Class Reference

`#include <QoS_UDP.h>`

Inheritance diagram for TAO_AV_UDP_QoS_Flow_Handler

[legend]
Collaboration diagram for TAO_AV_UDP_QoS_Flow_Handler:

[legend]
List of all members.

## Public Methods
| TAO_AV_UDP_QoS_Flow_Handler (void)
| ~TAO_AV_UDP_QoS_Flow_Handler (void)
int | open (ACE_Addr &address)
virtual TAO_AV_Transport* | transport (void)
| get the transport.
virtual int | set_remote_address (ACE_Addr *address)
| set the remote address.
virtual ACE_HANDLE | get_handle (void) const
virtual int | handle_input (ACE_HANDLE fd)
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *arg = 0)
virtual int | change_qos (AVStreams::QoS)
virtual int | handle_qos (ACE_HANDLE fd)
ACE_SOCK_Dgram_Mcast_QoS* | get_socket (void)
virtual ACE_Event_Handler* | event_handler (void)
| get the underlying event handler. To be overridden by the derived clases.
virtual ACE_QoS_Session* | qos_session (void)
virtual void | qos_session (ACE_QoS_Session *qos_session)
int | translate (ACE_Flow_Spec *ace_flow_spec, CosPropertyService::Properties &qos_params)
int | translate (CosPropertyService::Properties &qos_params, ACE_Flow_Spec *ace_flow_spec)
void | negotiator (AVStreams::Negotiator_ptr)
void | endpoint (TAO_Base_StreamEndPoint *endpoint)
TAO_Base_StreamEndPoint* | endpoint (void)
void | flowspec_entry (TAO_FlowSpec_Entry *entry)
TAO_FlowSpec_Entry* | flowspec_entry (void)
void | av_core (TAO_AV_Core *avcore)
TAO_AV_Core* | av_core (void)
## Protected Attributes
TAO_AV_Core* | av_core_
ACE_INET_Addr | peer_addr_
ACE_SOCK_Dgram_Mcast_QoS | qos_sock_dgram_
ACE_QoS_Session* | qos_session_
TAO_FlowSpec_Entry* | entry_
TAO_Base_StreamEndPoint* | endpoint_
AVStreams::Negotiator_ptr | negotiator_

## Constructor & Destructor Documentation

TAO_AV_UDP_QoS_Flow_Handler::TAO_AV_UDP_QoS_Flow_Handler ( | void )

TAO_AV_UDP_QoS_Flow_Handler::~TAO_AV_UDP_QoS_Flow_Handler ( | void )

## Member Function Documentation

ACE_INLINE TAO_AV_Core * TAO_AV_UDP_QoS_Flow_Handler::av_core ( | void )

ACE_INLINE void TAO_AV_UDP_QoS_Flow_Handler::av_core ( | TAO_AV_Core * avcore )

int TAO_AV_UDP_QoS_Flow_Handler::change_qos ( | AVStreams::QoS new_qos )`[virtual]`

| Reimplemented from TAO_AV_Flow_Handler.

ACE_INLINE TAO_Base_StreamEndPoint * TAO_AV_UDP_QoS_Flow_Handler::endpoint ( | void )

ACE_INLINE void TAO_AV_UDP_QoS_Flow_Handler::endpoint ( | TAO_Base_StreamEndPoint * endpoint )

ACE_Event_Handler * TAO_AV_UDP_QoS_Flow_Handler::event_handler ( | void )`[inline, virtual]`

| get the underlying event handler. To be overridden by the derived clases. Reimplemented from TAO_AV_Flow_Handler.

ACE_INLINE TAO_FlowSpec_Entry * TAO_AV_UDP_QoS_Flow_Handler::flowspec_entry ( | void )

ACE_INLINE void TAO_AV_UDP_QoS_Flow_Handler::flowspec_entry ( | TAO_FlowSpec_Entry * entry )

ACE_HANDLE TAO_AV_UDP_QoS_Flow_Handler::get_handle ( | void ) const`[virtual]`

| Reimplemented from ACE_Event_Handler.

ACE_INLINE ACE_SOCK_Dgram_Mcast_QoS * TAO_AV_UDP_QoS_Flow_Handler::get_socket ( | void )

int TAO_AV_UDP_QoS_Flow_Handler::handle_input ( | ACE_HANDLE fd )`[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_AV_UDP_QoS_Flow_Handler::handle_qos ( | ACE_HANDLE fd )`[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_AV_UDP_QoS_Flow_Handler::handle_timeout ( | const ACE_Time_Value & tv,
| const void * arg = 0 )`[virtual]`

| Reimplemented from ACE_Event_Handler.

ACE_INLINE void TAO_AV_UDP_QoS_Flow_Handler::negotiator ( | AVStreams::Negotiator_ptr negotiator )

ACE_INLINE int TAO_AV_UDP_QoS_Flow_Handler::open ( | ACE_Addr & address )

ACE_INLINE void TAO_AV_UDP_QoS_Flow_Handler::qos_session ( | ACE_QoS_Session * qos_session )`[virtual]`

ACE_INLINE ACE_QoS_Session * TAO_AV_UDP_QoS_Flow_Handler::qos_session ( | void )`[virtual]`

int TAO_AV_UDP_QoS_Flow_Handler::set_remote_address ( | ACE_Addr * address )`[virtual]`

| set the remote address. Reimplemented from TAO_AV_Flow_Handler.

int TAO_AV_UDP_QoS_Flow_Handler::translate ( | CosPropertyService::Properties & qos_params,
| ACE_Flow_Spec * ace_flow_spec )

int TAO_AV_UDP_QoS_Flow_Handler::translate ( | ACE_Flow_Spec * ace_flow_spec,
| CosPropertyService::Properties & qos_params )

TAO_AV_Transport * TAO_AV_UDP_QoS_Flow_Handler::transport ( | void )`[virtual]`

| get the transport. Reimplemented from TAO_AV_Flow_Handler.

## Member Data Documentation

TAO_AV_Core * TAO_AV_UDP_QoS_Flow_Handler::av_core_`[protected]`

TAO_Base_StreamEndPoint * TAO_AV_UDP_QoS_Flow_Handler::endpoint_`[protected]`

TAO_FlowSpec_Entry * TAO_AV_UDP_QoS_Flow_Handler::entry_`[protected]`

AVStreams::Negotiator_ptr TAO_AV_UDP_QoS_Flow_Handler::negotiator_`[protected]`

ACE_INET_Addr TAO_AV_UDP_QoS_Flow_Handler::peer_addr_`[protected]`

ACE_QoS_Session * TAO_AV_UDP_QoS_Flow_Handler::qos_session_`[protected]`

ACE_SOCK_Dgram_Mcast_QoS TAO_AV_UDP_QoS_Flow_Handler::qos_sock_dgram_`[protected]`

The documentation for this class was generated from the following files:

- QoS_UDP.h
- QoS_UDP.cpp
- QoS_UDP.i